Linux sunucunuz üzerinde PHP versiyon yükseltme işleminizde :

Transaction Check Error:
file /etc/my.cnf from install of mysql-libs-5.1.56-1.el5.art.i386 conflicts with file from package mysql-5.0.77-4.el5_5.5.i386

Gibi bir hata alıyor iseniz MySQL kütüphane dosyaları güncelleştirme ile eşleşmediğinden dolayı güncelleme işlemi tamamlayamamaktadır. Bu durumda MySQL sürümünü yükseltmeniz gerekmektedir. Fakat bu işleme başlamadan önce sunucunuz üzerindeki MySQL veritabanlarınızın yedeklerini almanızı öneririm. Gerekli yedekleme işleminizin ardından SSH üzerinde :

yum upgrade mysql

Komutu ile aynı zamanda PHP sürümünüz de yükselecektir. Bu işlem sonrasında sunucunuz üzerindeki servisleri yeniden başlatalım :

/etc/init.d/psa stopall
/etc/init.d/psa startall
/etc/init.d/psa restart

php-v

Komutunu kullanarak güncel php sürümünü görebilirsiniz.

yum upgrade mysql